Mercedes-Benz Forum banner

Reaction score
0

Profile posts Latest activity Discussions About

  • gmatj ·
    Hi Rick

    Have you heard of problems with map updating on NTG2.5 units ??

    In my case (W211, MY2007)
    a) My NTG2.5 unit was updated in an MB dealer to the latest telematics.
    b) Bought v3 Maps and tried to update - "Map can not be updated -Contact MB service" appeared. - So I sold the DVD set
    c) I got the v4.1 Maps tried to update - "Map can not be updated -Contact MB service" appeared. - So I sold the DVD set
    d) Found an MB bulletin saying that you should use v1.1 dvd set ( internal MB set which had come with DAS 06.2008) The Dealer tried to update my unit with those maps and the same bloody message....

    Have you heard anything about this problem??

    Thanks for your time and effort

    Kind Regards from sunny AThens

    George
  • Loading…
  • Loading…
  • Loading…
Top